Page MenuHomePhabricator

1.30.0-wmf.12 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.30.0-wmf.12
Release Date
Aug 3 2017, 7:00 PM

2017 week 31 1.30-wmf.12 Changes wmf/1.30.0-wmf.12

This MediaWiki Train Deployment is scheduled for the week of Monday, July 31st:

Monday July 31stTuesday, August 1stWednesday, August 2ndThursday, August 3rdFriday
Backports only.Branch wmf.12 and deploy to Group 0 Wikis.Deploy wmf.12 to Group 1 Wikis.Deploy wmf.12 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.12 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.30.0-wmf.11
Next: 1.30.0-wmf.13

Event Timeline

mmodell created this task.Jun 16 2017, 12:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2017, 12:02 PM
greg assigned this task to mmodell.Jul 21 2017, 5:28 PM

Mentioned in SAL (#wikimedia-operations) [2017-08-01T17:23:27Z] <twentyafterfour> MediaWiki train for 1.30.0-wmf.12 - finished scap prep & scap patch refs T168053

Mentioned in SAL (#wikimedia-operations) [2017-08-01T19:03:05Z] <twentyafterfour@tin> Started scap: Sync 1.30.0-wmf.12 and build l10n refs T168053

Mentioned in SAL (#wikimedia-operations) [2017-08-01T19:33:04Z] <twentyafterfour@tin> Finished scap: Sync 1.30.0-wmf.12 and build l10n refs T168053 (duration: 29m 58s)

Change 369486 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.30.0-wmf.12 refs refs T168053

https://gerrit.wikimedia.org/r/369486

Change 369486 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.30.0-wmf.12 refs refs T168053

https://gerrit.wikimedia.org/r/369486

Mentioned in SAL (#wikimedia-operations) [2017-08-01T20:40:32Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group0 wikis to 1.30.0-wmf.12 refs refs T168053

Change 369714 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.12 refs refs T168053

https://gerrit.wikimedia.org/r/369714

Change 369714 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.12 refs refs T168053

https://gerrit.wikimedia.org/r/369714

Mentioned in SAL (#wikimedia-operations) [2017-08-02T19:23:58Z] <twentyafterfour> group1 wikis to 1.30.0-wmf.12 refs T168053

Mentioned in SAL (#wikimedia-operations) [2017-08-02T19:24:46Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group1 wikis to 1.30.0-wmf.12 refs refs T168053

Change 369722 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.11 refs T168053 - rollback due to T172320

https://gerrit.wikimedia.org/r/369722

Change 369722 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.11 refs T168053 - rollback due to T172320

https://gerrit.wikimedia.org/r/369722

Mentioned in SAL (#wikimedia-operations) [2017-08-02T19:50:05Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group1 wikis to 1.30.0-wmf.11 refs T168053 - rollback due to T172320

Change 369989 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.12 refs T168053

https://gerrit.wikimedia.org/r/369989

Change 369989 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.12 refs T168053

https://gerrit.wikimedia.org/r/369989

Mentioned in SAL (#wikimedia-operations) [2017-08-03T19:12:16Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group1 wikis to 1.30.0-wmf.12 refs T168053

Change 370006 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@wmf/1.30.0-wmf.12] Revert Wikidata to wmf.10

https://gerrit.wikimedia.org/r/370006

Change 370006 abandoned by 20after4:
Revert Wikidata to wmf.10

https://gerrit.wikimedia.org/r/370006

Change 370007 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] All wikis except wikidata to wmf.12, wikidata to wmf.11

https://gerrit.wikimedia.org/r/370007

Change 370007 merged by jenkins-bot:
[operations/mediawiki-config@master] All wikis except wikidata to wmf.12, wikidata to wmf.11

https://gerrit.wikimedia.org/r/370007

mmodell closed this task as Resolved.Aug 11 2017, 5:20 PM